k_ones {keras} | R Documentation

## Instantiates an all-ones tensor variable and returns it.

### Description

Instantiates an all-ones tensor variable and returns it.

### Usage

    k_ones(shape, dtype = NULL, name = NULL)

### Arguments

`shape` | Tuple of integers, shape of returned Keras variable.
`dtype` | String, data type of returned Keras variable.
`name` | String, name of returned Keras variable.

### Value

A Keras variable, filled with `1.0`.

### Keras Backend

This function is part of a set of Keras backend functions that enable lower level access to the core operations of the backend tensor engine (e.g. TensorFlow, CNTK, Theano, etc.).

You can see a list of all available backend functions here: https://keras.rstudio.com/articles/backend.html#backend-functions.

[Package keras version 2.2.4 Index]